
Foreman - Refactor #32258

Change default implementation of to_status to noop

04/06/2021 03:16 PM - Shimon Shtein

Status: Closed   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Plugin integration   

Target version:    

Difficulty:  Fixed in Releases: 2.5.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8430,

https://github.com/theforeman/foreman/p

ull/8459

  

Description

Currently to_status method (

https://github.com/theforeman/foreman/blob/f5bfce8bc5cab43fa66c362d40ee843e0783fe72/app/models/host_status/status.rb#L29)

of status subclasses throws an exception if not implemented.

There are cases that need external event to happen in order to determine the correct status for a host. For such cases to_status

method is unnecessary, and probably won't be implemented. We need to change the default implementation to noop

Associated revisions

Revision 13b3ce22 - 04/14/2021 11:01 AM - Shimon Shtein

Fixes #32258 - Change to_status default to noop

Revision 3f7804fd - 04/22/2021 11:35 AM - Shimon Shtein

Refs #32258 - Added documentation about status class

History

#1 - 04/06/2021 05:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8430 added

#2 - 04/14/2021 11:01 AM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#3 - 04/14/2021 12:01 PM - Shimon Shtein

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|13b3ce2243cdbc325d0d42ed28503a67397e98a3.

#4 - 04/22/2021 09:30 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8459 added
